/* ide-shortcut-observer.h
 *
 * Copyright 2023 Christian Hergert <chergert@redhat.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define IDE_TYPE_SHORTCUT_OBSERVER (ide_shortcut_observer_get_type())

G_DECLARE_FINAL_TYPE (IdeShortcutObserver, ide_shortcut_observer, IDE, SHORTCUT_OBSERVER, GObject)

IdeShortcutObserver *ide_shortcut_observer_new    (GListModel          *model);
const char          *ide_shortcut_observer_lookup (IdeShortcutObserver *self,
                                                   const char          *action_name);

G_END_DECLS
